Bug 308865 - Icons in dockers are too small because of frame around
Summary: Icons in dockers are too small because of frame around
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: usability (show other bugs)
Version: 2.5.3
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-23 12:32 UTC by Pascal d'Hermilly
Modified: 2012-12-16 18:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot comparison (6.97 KB, image/png)
2012-10-23 12:33 UTC, Pascal d'Hermilly
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal d'Hermilly 2012-10-23 12:32:47 UTC
The icons in dockers for e.g. table handling are very hard to read due to being quite small and having a chrome frame around them that becomes part of the visual impression.
I attach a screenshot with comparison with libreoffice where they are bigger and without chrome frame. it much more readable.

Reproducible: Always

Actual Results:  
-


-
Comment 1 Pascal d'Hermilly 2012-10-23 12:33:46 UTC
Created attachment 74751 [details]
screenshot comparison
Comment 2 Camilla Boemann 2012-10-23 18:18:56 UTC
how the user interface looks in this regard is a style question, so I refer to the oxygen icon graphics artists. Actually you claim it's the border, but I find the icon themselves to be too similar
Comment 3 Pascal d'Hermilly 2012-10-24 08:05:32 UTC
the icons may look too similar. But a lot of it is the frame around them and the small size that makes them really similar. Take a look at krita where there is no frame around the icons in the Tools docker.
Comment 4 Camilla Boemann 2012-10-24 09:34:46 UTC
While it may appear like that, it's not true: the border doesn't make them smaller.

I have just tested.
Comment 5 Pascal d'Hermilly 2012-10-24 11:55:23 UTC
I think you are right - the border does not make them smaller. But the icons are also available as 22x22 and 32x32
The visual expression from the border/frame/chrome/shadow makes it harder to see the see icon. And also the size.
I also agree with you that these icons are not the easiest to "read".
But I think this issue illustrates that "helping" the icons with a clean surface can be positive.
I appreciate you taking a look at this! :-)
Comment 6 Sven Langkamp 2012-11-04 12:32:42 UTC
Git commit cc10e194166f5c63cf5fb546a9c432e655f84bd8 by Sven Langkamp.
Committed on 04/11/2012 at 13:30.
Pushed by langkamp into branch 'master'.

use flat buttons in the textshape docker
REVIEW:107190

M  +57   -9    plugins/textshape/dialogs/SimpleCharacterWidget.ui
M  +36   -0    plugins/textshape/dialogs/SimpleInsertWidget.ui
M  +64   -9    plugins/textshape/dialogs/SimpleParagraphWidget.ui
M  +70   -7    plugins/textshape/dialogs/SimpleTableWidget.ui

http://commits.kde.org/calligra/cc10e194166f5c63cf5fb546a9c432e655f84bd8
Comment 7 Pascal d'Hermilly 2012-11-05 08:53:42 UTC
Sounds good. I've striked it on the CWOP page.
Will it be in 4.6 or 4.7?
could you post a screenshot?
Comment 8 Camilla Boemann 2012-11-05 09:21:42 UTC
http://i.imgur.com/Osm9q.png

And I think it may get backported to 2.6 but 2.7 for sure
Comment 9 Pascal d'Hermilly 2012-11-05 09:32:40 UTC
That is cool! :-)
Comment 10 Pascal d'Hermilly 2012-12-16 18:03:22 UTC
Just looked at 2.6 RC1 and it is not present there.